Risultati da 1 a 8 di 8

Discussione: automazione

  1. #1
    Utente Senior L'avatar di Tequila
    Iscritto dal
    2008
    Messaggi
    2874
    Professione
    teorico del paleocontatto
    Regione
    Veneto (PD)
    Software
    Solid Edge ST7, scarabocchi su carta

    Predefinito automazione

    salve, sto creando degli assiemi di particolari dove inserisco dei part che devo
    editare le proprietà in blocco.

    Ad esempio le viterie le inserisco in un assieme (non mi interessano relazioni o altro di accoppiamento) per editarne le proprietà.

    Avendo questi particolari da me creati un codice con un numero progressivo, esiste la possibilità di inserirli in modo automatico in un assembly? Tipo una macro che mi dice crea un asm con i part "dal nr 1 al nr xxx"?

    Grazie ciao
    Gianluca...alias Tequila
    -non confondere mancanza di talento per genialità
    -arte priva di funzionalità è semplice vandalismo tollerato. Noi siamo i vandali
    -Vede? Io so che questa bistecca non esiste. So che quando la infilerò in bocca
    Matrix suggerirà al mio cervello che è succosa e deliziosa. Dopo nove anni sa
    che cosa ho capito? Che l'ignoranza è un bene. (Cypher all'agente Smith, Matrix)

  2. #2
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2758
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da Tequila_pilota Visualizza Messaggio
    salve, sto creando degli assiemi di particolari dove inserisco dei part che devo
    editare le proprietà in blocco.

    Ad esempio le viterie le inserisco in un assieme (non mi interessano relazioni o altro di accoppiamento) per editarne le proprietà.

    Avendo questi particolari da me creati un codice con un numero progressivo, esiste la possibilità di inserirli in modo automatico in un assembly? Tipo una macro che mi dice crea un asm con i part "dal nr 1 al nr xxx"?

    Grazie ciao
    Prova con qualcosa del genere:

    Codice:
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    
    Dim percorso As String
    Dim codice As Double
    Dim nome As String
    
    Sub Main()
    
    percorso = "c:\prova\"
    codice = 838010000
    
    On Error Resume Next
    
    Set objApp = GetObject(, "SolidEdge.Application")
    
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.ActiveDocument
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    
    For i = 1 To 20
        codice = codice + 1
        nome = percorso + CStr(codice) + ".par"
        Clipboard.SetText (nome)
        objApp.StartCommand (57637)
    Next i
    
    End Sub
    Questo programma monta i file da 838010001 a 838010020 contenuti nella cartella C:\Prova\ nel file ASM corrente.

    Ciao
    Francesco
    Cintura nera di solid edge

  3. #3
    Utente Senior L'avatar di Tequila
    Iscritto dal
    2008
    Messaggi
    2874
    Professione
    teorico del paleocontatto
    Regione
    Veneto (PD)
    Software
    Solid Edge ST7, scarabocchi su carta

    Predefinito ...

    adesso faccio una prova.

    Ti ringrazio veramente, se funziona bene mi risparmi ore di lavoro

    Ciao Tequila
    Gianluca...alias Tequila
    -non confondere mancanza di talento per genialità
    -arte priva di funzionalità è semplice vandalismo tollerato. Noi siamo i vandali
    -Vede? Io so che questa bistecca non esiste. So che quando la infilerò in bocca
    Matrix suggerirà al mio cervello che è succosa e deliziosa. Dopo nove anni sa
    che cosa ho capito? Che l'ignoranza è un bene. (Cypher all'agente Smith, Matrix)

  4. #4
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2758
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da Tequila_pilota Visualizza Messaggio
    adesso faccio una prova.

    Ti ringrazio veramente, se funziona bene mi risparmi ore di lavoro

    Ciao Tequila
    Ricordati di attivare le API di solid edge nei Riferimenti del progetto.

    Ciao
    Francesco
    Cintura nera di solid edge

  5. #5
    Utente Senior L'avatar di Tequila
    Iscritto dal
    2008
    Messaggi
    2874
    Professione
    teorico del paleocontatto
    Regione
    Veneto (PD)
    Software
    Solid Edge ST7, scarabocchi su carta

    Predefinito

    Citazione Originariamente Scritto da Be_on_edge Visualizza Messaggio
    Ricordati di attivare le API di solid edge nei Riferimenti del progetto.

    Ciao
    visto che purtroppo non ho mai fatto questo tipo di cose su SE mi potresti gentilmente spiegare come devo fare?

    Ho fatto una prova, copiato la macro su un file TXT e poi salvato con estensione EXE, ho provato anche a creare una macro in excel ma non mi funziona.

    Quando apro un ASM e vado su applicazioni/macro/avvia macro e gli indico la macro mi apre una finestra dos (nel caso del file exe) oppure mi apre excel nel
    caso del file excel.

    come devo fare?
    per attivare le API cosa devo fare? (spero non ci sia da entrare in un alveare...:D)

    grazie mille ciao
    Gianluca...alias Tequila
    -non confondere mancanza di talento per genialità
    -arte priva di funzionalità è semplice vandalismo tollerato. Noi siamo i vandali
    -Vede? Io so che questa bistecca non esiste. So che quando la infilerò in bocca
    Matrix suggerirà al mio cervello che è succosa e deliziosa. Dopo nove anni sa
    che cosa ho capito? Che l'ignoranza è un bene. (Cypher all'agente Smith, Matrix)

  6. #6
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2758
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Apri excel
    strumenti - macro - visual basic editor (ALT+F11)
    visualizza - codice (F7)
    incolla il codice
    strumenti - riferimenti (attiva tutti i riferimenti a solid edge, sono in ordine alfabetico)
    premi il pulsante play

    Ciao
    Francesco
    Cintura nera di solid edge

  7. #7
    Utente Senior L'avatar di Tequila
    Iscritto dal
    2008
    Messaggi
    2874
    Professione
    teorico del paleocontatto
    Regione
    Veneto (PD)
    Software
    Solid Edge ST7, scarabocchi su carta

    Predefinito

    Citazione Originariamente Scritto da Be_on_edge Visualizza Messaggio
    Apri excel
    strumenti - macro - visual basic editor (ALT+F11)
    visualizza - codice (F7)
    incolla il codice
    strumenti - riferimenti (attiva tutti i riferimenti a solid edge, sono in ordine alfabetico)
    premi il pulsante play

    Ciao
    Ok grazie...questo ho visto ed ho fatto e funziona, però la macro non mi
    mette nessun file .par dentro l'asm.

    secondo me ed il mio collega c'è un errore in


    objApp.StartCommand (57637)

    il valore 57637 che cosa è? se lo cancello e premo spazio all'interno
    dell'editor mi da vari comandi.

    Ti dico per fare la prova ho usato esattamente dei file con i nomi che hai dato
    tu, cartella in c, prova ed i file part codificati come il tuo esempio.

    Se ce la fai a darmi una spiegazione ben venga.

    grazie di tutto
    ciao
    Gianluca...alias Tequila
    -non confondere mancanza di talento per genialità
    -arte priva di funzionalità è semplice vandalismo tollerato. Noi siamo i vandali
    -Vede? Io so che questa bistecca non esiste. So che quando la infilerò in bocca
    Matrix suggerirà al mio cervello che è succosa e deliziosa. Dopo nove anni sa
    che cosa ho capito? Che l'ignoranza è un bene. (Cypher all'agente Smith, Matrix)

  8. #8
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2758
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    è il comando incolla dentro al file asm, in alternativa puoi usare:

    Codice:
    Set objParts = objDoc.Occurrences
    Call objParts.AddWithTransform(OccurrenceFileName:=nome, OriginX:=0, OriginY:=0, OriginZ:=0, AngleX:=0, AngleY:=0, AngleZ:=0)
    Nelle dichiariazioni devi aggiungere:

    Codice:
    Dim objParts As SolidEdgeAssembly.Occurrences
    Francesco
    Cintura nera di solid edge


  • Discussioni Simili

    1. Automazione AutoCAD con Excel/Access
      Di alessio.membola nel forum VBA per Autocad
      Risposte: 6
      Ultimo Messaggio: 05-02-2013, 11: 37
    2. Automazione tabella per carpenteria
      Di jim78b nel forum AutoCAD
      Risposte: 11
      Ultimo Messaggio: 15-11-2011, 10: 47
    3. Disegno complessivo di un automazione
      Di cesare_ nel forum Progettazione meccanica - forum generale
      Risposte: 3
      Ultimo Messaggio: 17-06-2010, 00: 39
    4. Personalizzazione ed automazione di Microsoft Excel con VBA
      Di arri nel forum Sistemi operativi e software di uso generale
      Risposte: 0
      Ultimo Messaggio: 21-01-2008, 00: 56
    5. Risposte: 2
      Ultimo Messaggio: 18-01-2008, 02: 36

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti